Routes

Create user

POSThttps://api.insurely.com/users

Create a new user with the given externalId.

Request

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Request Body

externalIdstring

Responses

User successfully created.

Body

anonymizedboolean
createdAtstring[date-time]
externalIdstring
updatedAtstring[date-time]
userUuidstring
cURL
curl https://api.insurely.com/users \
  -H "authorization-token: <authorization-token>" \
  -H "Content-Type: application/json" \
  -d '{
  "externalId": "your-user-1234"
}' \
  -X POST
RESPONSE 201
{
  "anonymized": false,
  "createdAt": "2026-04-01T10:30:00",
  "externalId": "your-user-1234",
  "updatedAt": "2026-04-01T10:30:00",
  "userUuid": "b3f1c2a4-8d6e-4f2b-9a1c-7e5d3b2a1f0e"
}